Subject: bug#16722: 24.3.50; `M-x man' does not handle case appropriately

From: Drew Adams <[email-masked]>
Date: Wed, 1 Feb 2017 11:25:43 -0800 (PST)

> Since the both of you seem to agree that emacs should magically fix
> important (but easily fixed) deficiencies in your system setup, do as
> you please and I'll leave it at that.

Coming back to this bug (which is still there).

I did try running `makewhatis', BTW.  That just raised a bunch of errors:

makewhatis
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
-uThe system cannot find the file specified.

I also tried it using `makewhatis -w', but that didn't help:

makewhatis -w
cp: cannot create regular file `/cygdrive/c/Program/whatis': No such file or directory
cp: cannot create regular file `Files/GnuWin32/man/whatis': No such file or directory
cp: cannot create regular file `/cygdrive/c/Program/whatis': No such file or directory
cp: cannot create regular file `Files/GnuWin32/man/whatis': No such file or directory
-uThe system cannot find the file specified.
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
FIND: Invalid switch
-uThe system cannot find the file specified.
-uThe system cannot find the file specified.
-uThe system cannot find the file specified.

That created an empty `whatis' file in directory
c:/cygwin/usr/share/man.  Having that file did not help, of course.

Hard to believe that something that used to work so simply with
Cygwin, without users needing to do anything, no longer works.

Is there really no possibility that Emacs will fix this?

I can of course use `woman' with completion, and I can still use
`man' without completion.  But it really seems like `man' should
be able to offer completion that works, out of the box.